<app-loading *ngIf="isLoading"></app-loading>

<nz-card class="header-form m-0" *ngIf="typeAction !== screenTypeConst.Create">
  <div class="action-breadcrumb-float-right">
    <ng-container *ngTemplateOutlet="action"></ng-container>
  </div>
  <!-- 1 thành phân -->
  <div nz-row [nzGutter]="[32, 32]" [formGroup]="proposeUnitForm">
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        formControlName="formGroup"
        [mbDataSelects]="dataCommon.formGroupList"
        mbKeyLabel="name"
        mbKeyValue="id"
        mbLabelText="{{
          'development.proposed-unit.table.formGroup' | translate
        }}"
        mbPlaceholder="{{
          'development.proposed-unit.table.formGroup' | translate
        }}"
        (mbSelect)="onChangeProposeType($event)"
        [ngModelOptions]="{ standalone: true }"
      >
      </mb-select>
    </div>

    <div
      nz-col
      class="gutter-row"
      nzLg="6"
      *ngIf="proposeCategory !== listProposeCategory.GROUP"
    >
      <span class="title-section">{{
        'development.proposed-unit.table.proposeCode' | translate
      }}</span
      ><br />
      <label class="text-label">{{ proposeUnitForm.get('id')?.value }}</label>
    </div>

    <div nz-col class="gutter-row" nzLg="6">
      <span class="title-section">{{
        'development.proposed-unit.table.statusApprove' | translate
      }}</span
      ><br />
      <label class="text-label">{{
        proposeUnitForm.get('flowStatusName')?.value
      }}</label>
    </div>

    <div nz-col class="gutter-row" nzLg="6"
      *ngIf="proposeUnitForm.get('statusPublishName')?.value">
      <span class="title-section">{{ 'development.proposed-unit.table.statusPublish' | translate }}</span
      ><br />
      <label class="text-label">{{ proposeUnitForm.get('statusPublishName')?.value }}</label>
    </div>

    <div
      nz-col
      class="gutter-row"
      nzLg="6"
      *ngIf="proposeUnitForm.get('withdrawNote')?.value"
    >
      <span class="title-section">{{
        'development.proposed-unit.table.noteWithdraw' | translate
      }}</span
      ><br />
      <label class="text-label">{{
        proposeUnitForm.get('withdrawNote')?.value
      }}</label>
    </div>

    <div
      nz-col
      class="gutter-row"
      nzLg="6"
      *ngIf="
        proposeUnitForm.get('proposeUnitRequestName')?.value &&
        screenCode === screenCodeConst.PTNL
      "
    >
      <span class="title-section">{{
        'development.proposed-unit.table.sendProposeUnit' | translate
      }}</span
      ><br />
      <label class="text-label">{{
        proposeUnitForm.get('proposeUnitRequestName')?.value
      }}</label>
    </div>
  </div>
</nz-card>

<ul
  nz-menu
  nzMode="horizontal"
  class="scroll__tab"
  *ngIf="checkConsultationSrc()"
>
  <li
    class="scroll__tab--title"
    *ngFor="let tab of scrollTabs"
    nz-menu-item
    (click)="scrollTo(tab)"
    [id]="'#' + tab.scrollTo"
  >
    <span>{{ tab.title | translate }}</span>
  </li>
</ul>

<nz-card [formGroup]="employeeForm" class="card-personal-info" id="tab1">
  <h3>{{ 'development.proposed-unit.section.personalInfo' | translate }}</h3>
  <div [nzGutter]="[32, 24]" nz-row>
    <div class="gutter-row" nz-col nzLg="6" id="empCode">
      <mb-input-text
        (click)="showModalPropose()"
        [mbDisable]="typeAction !== screenTypeConst.Create"
        [mbPrefixTemplate]="suffixIconSearch"
        formControlName="empCode"
        mbLabelText="{{
          'development.proposed-unit.table.empCode' | translate
        }}"
        [mbMaxLength]="20"
        mbPlaceholderText="{{
          'development.proposed-unit.table.empCode' | translate
        }}"
      >
      </mb-input-text>
      <ng-template #suffixIconSearch>
        <em nz-icon nzTheme="outline" nzType="search"></em>
      </ng-template>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.empName' | translate
      }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('fullName')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.detail.employee.joinCompanyDate' | translate
      }}</span
      ><br />
      <span class="text-label">{{
        employeeForm.get('joinCompanyDate')?.value
      }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.detail.employee.birthday' | translate
      }}</span
      ><br />
      <span class="text-label">{{
        employeeForm.get('dateOfBirth')?.value
      }}</span>
    </div>

    <!-- Row 2 -->

    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.title' | translate
      }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('jobName')?.value }}</span>
    </div>

    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.level' | translate
      }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('levelName')?.value }}</span>
    </div>

    <div class="gutter-row" nz-col nzLg="12">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.unit' | translate
      }}</span
      ><br />
      <span class="text-label">{{
        employeeForm.get('orgPathName')?.value
      }}</span>
    </div>

    <ng-container *ngIf="isSeeMore">
      <!-- Row 3 -->

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentTitleName')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.partTimeTitle' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentTitleName')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentTitleName')?.value">
      </div>

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentUnitPathName')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.unitTimeTitle' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentUnitPathName')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentUnitPathName')?.value">
      </div>

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentTitleName2')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.partTimeTitle2' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentTitleName2')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentTitleName2')?.value">
      </div>

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentUnitPathName2')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.unitTimeTitle2' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentUnitPathName2')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentUnitPathName2')?.value">
      </div>

      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.majorLevelName' | translate
        }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('majorLevelName')?.value
        }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.schoolName' | translate
        }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('schoolName')?.value
        }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.facultyName' | translate
        }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('facultyName')?.value
        }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.qualificationEnglish'
            | translate
        }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('qualificationEnglish')?.value
        }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.positionSeniorityMB'
            | translate
        }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('seniorityName')?.value
        }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.positionSeniority'
            | translate
        }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('posSeniorityName')?.value
        }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          dataForm?.employee?.periodNameT2 ? ('development.proposed-unit.detail.employee.T2' | translate) + dataForm?.employee?.periodNameT2 : ('development.proposed-unit.detail.employee.T2' | translate)
          }}</span
        ><br/>
        <label class="text-label">{{
          employeeForm.get('semesterGradeT2')?.value
          }} {{ employeeForm.get('semesterRankT2')?.value ? ('(' + employeeForm.get('semesterRankT2')?.value + ')') : ''}}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          dataForm?.employee?.periodNameT1 ? ('development.proposed-unit.detail.employee.T1' | translate) + dataForm?.employee?.periodNameT1 : ('development.proposed-unit.detail.employee.T1' | translate)
          }}</span
        ><br/>
        <label class="text-label">{{
          employeeForm.get('semesterGradeT1')?.value
          }} {{ employeeForm.get('semesterRankT1')?.value ? ('(' + employeeForm.get('semesterRankT1')?.value + ')') : ''}}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.nearestDiscipline'
            | translate
        }}</span
        ><br />
        <label class="text-label">{{
          employeeForm.get('nearestDiscipline')?.value
        }}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.endOfDisciplinaryDuration'
            | translate
        }}</span
        ><br />
        <label class="text-label">{{
          employeeForm.get('endOfDisciplinaryDuration')?.value
        }}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.ratedCapacity' | translate
        }}</span
        ><br />
        <label class="text-label">{{
          employeeForm.get('ratedCapacity')?.value
        }}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <label
          class="partyDate"
          formControlName="partyDate"
          nz-checkbox
          nzDisabled
          >{{
            'development.proposed-unit.detail.employee.partyDate' | translate
          }}</label
        >
      </div>
    </ng-container>
  </div>
  <div [nzGutter]="[32, 48]" nz-row>
    <div class="gutter-row" nz-col nzLg="24"></div>
    <div class="gutter-row" nz-col nzLg="8"></div>
    <div class="gutter-row text-center" nz-col nzLg="8">
      <mb-button
        mbButtonAvailableStyle="BORDER"
        mbButtonSize="VERY_LARGE"
        (click)="expandInfoEmp()"
      >
        <span>
          <em nz-icon [nzType]="expandInfoEmpText()"></em>
        </span>
      </mb-button>
    </div>
    <div class="gutter-row" nz-col nzLg="8"></div>
  </div>
</nz-card>

<nz-card class="rotationForm">
  <h3>
    {{ 'development.proposed-unit.section.proposeInformation' | translate }}
  </h3>
  <nz-table
    #basicTable
    [nzData]="rotations"
    [nzScroll]="{ x: '1090px' }"
    [nzShowPagination]="false"
    class="rotationTable"
    id="formRotation"
  >
    <thead>
      <tr>
        <th class="rotationForm__selected" scope="col"></th>
        <th class="text-center rotationForm__unit" scope="col">
          {{ 'development.proposed-unit.table.unit' | translate }}
        </th>

        <th class="subHeader-title otherUnit" scope="col" colspan="2">
          {{ 'development.proposed-unit.formRotation.otherUnit' | translate }}
        </th>

        <th class="subHeader-title" scope="col" colspan="2">
          {{ 'development.proposed-unit.formRotation.otherTitle' | translate }}
        </th>

        <th class="subHeader-title" scope="col">
          {{
            'development.proposed-unit.formRotation.proposeLevel' | translate
          }}
        </th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of basicTable.data; let i = index">
        <td>
          <nz-radio-group
            [(ngModel)]="item.formRotation"
            [ngModelOptions]="{ standalone: true }"
            [nzDisabled]="
              typeAction === screenTypeConst.Detail ||
              !employeeForm.get('empCode')?.value ||
              disableFormRotationRadio
            "
            nzName="formRotation"
          >
            <label
              (click)="onChangeFormRotation(i)"
              nz-radio
              nzValue="{{ i }}"
            ></label>
          </nz-radio-group>
        </td>
        <td
          [nzTooltipTitle]="
            checkformRotationLabel(item.formRotationLabel) | translate
          "
          nz-tooltip
        >
          {{ item.formRotationLabel }}
        </td>
        <td class="selectUnit" colspan="2">
          <span
            class="viewContentUnit"
            *ngIf="typeAction === screenTypeConst.Detail && item?.formRotation"
          >
            {{ dataForm?.contentUnitPathName }}
          </span>
          <ng-container *ngIf="typeAction !== screenTypeConst.Detail">
            <mb-select-unit
              (ngModelChange)="
                onChangeUnit($event?.orgId, i, item.contentTitleCode)
              "
              *ngIf="i === 1"
              [(ngModel)]="item.contentUnit"
              [ngModelOptions]="{ standalone: true }"
              [disabled]="item.disabled"
              mbPlaceholder="{{
                'development.proposed-unit.table.unit' | translate
              }}"
            >
            </mb-select-unit>
            <mb-select
              (mbSelect)="onChangeUnit($event, i)"
              *ngIf="i === 0"
              [(ngModel)]="item.contentUnitCode"
              [ngModelOptions]="{ standalone: true }"
              [mbDataSelects]="listInUnit"
              [mbDisable]="item.disabled || isChangeLevel"
              mbKeyLabel="name"
              mbKeyValue="value"
              mbPlaceholder="{{
                'development.proposed-unit.table.unit' | translate
              }}"
            >
            </mb-select>
          </ng-container>
        </td>
        <td colspan="2">
          <mb-select
            [(ngModel)]="item.contentTitleCode"
            [ngModelOptions]="{ standalone: true }"
            [mbDataSelects]="jobDTOSApi"
            [mbDisable]="
              item.disabled || item.formRotationTitle === '0' || isChangeLevel
            "
            mbKeyLabel="jobName"
            mbKeyValue="jobId"
            mbPlaceholder="{{
              'development.proposed-unit.table.proposeTitle' | translate
            }}"
          ></mb-select>
        </td>
        <td>
          <mb-select
            [(ngModel)]="item.level"
            [ngModelOptions]="{ standalone: true }"
            [mbDataSelects]="listLevel"
            [mbDisable]="item.disabled"
            mbKeyLabel="name"
            mbKeyValue="name"
            mbPlaceholder="{{
              'development.proposed-unit.formRotation.level' | translate
            }}"
          >
          </mb-select>
        </td>
      </tr>
      <tr [formGroup]="proposeDetailForm">
        <td colspan="2">
          <span>
            {{
              'development.proposed-unit.formRotation.proposeDateImplement'
                | translate
            }}
            <span class="star">*</span>
          </span>
        </td>
        <td>
          <mb-date-picker
            mbFormat="dd/MM/yyyy"
            mbPlaceholderText="dd/mm/yyyy"
            formControlName="implementDate"
            [mbDisabledDate]="disabledImplementDate"
            [mbType]="
              isSubmitProposeDetail &&
              proposeDetailForm.get('implementDate')?.errors
                ? 'error'
                : 'default'
            "
            [mbShowError]="
              isSubmitProposeDetail &&
              !!proposeDetailForm.get('implementDate')?.errors
            "
            [mbErrors]="proposeDetailForm.get('implementDate')?.errors"
            [mbErrorDefs]="[
              {
                errorName: 'required',
                errorDescription:
                  'development.commonMessage.validateImplementDate' | translate
              }
            ]"
          >
          </mb-date-picker>
        </td>
          <td *ngIf="showMinTime">
            <div class="minTimeText">
              <span>{{ 'development.proposed-unit.formRotation.minimumTime' | translate }}</span>
            </div>
            <div class="typeMinimumTime">
              <mb-input-text
                mbInputType='number'
                [mbShowFlexEnd]='false'
                formControlName="minimumTime"
                minNumber='0'
                [mbType]="isSubmitProposeDetail && proposeDetailForm.controls['minimumTime'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitProposeDetail && proposeDetailForm.controls['minimumTime'].errors != null"
                [mbErrors]="proposeDetailForm.controls['minimumTime'].errors"
                [mbErrorDefs]="[{ errorName: 'required',
                errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
              >
              </mb-input-text>
            </div>
          </td>
        <ng-container *ngIf="showMaxTime">
          <td>{{ 'development.appointmentRenewal.createScreen.maxTime' | translate }}</td>
          <td>
            <mb-input-text
              class="minTimeText"
              mbInputType='number'
              [mbShowFlexEnd]='false'
              formControlName="maximumTime"
              minNumber='0'
              [mbType]="isSubmitProposeDetail && proposeDetailForm.controls['maximumTime'].errors ? 'error' : 'default'"
              [mbShowError]="isSubmitProposeDetail && proposeDetailForm.controls['maximumTime'].errors != null"
              [mbErrors]="proposeDetailForm.controls['maximumTime'].errors"
              [mbErrorDefs]="[{ errorName: 'required',
                errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
            >
            </mb-input-text>
            <mb-select
              class="typeMinimumTime"
              formControlName="timeType"
              [ngModelOptions]="{ standalone: true }"
              [mbDataSelects]="dataCommon.timeTypeEnums"
              mbKeyLabel="description"
              mbKeyValue="code"
              mbPlaceholder="{{'development.promulgate.section.typeMaximumTime' | translate }}"
              [mbType]="isSubmitProposeDetail && proposeDetailForm.controls['timeType'].errors ? 'error' : 'default'"
              [mbShowError]="isSubmitProposeDetail && proposeDetailForm.controls['timeType'].errors != null"
              [mbErrors]="proposeDetailForm.controls['timeType'].errors"
              [mbErrorDefs]="[{ errorName: 'required',
                errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }]"
            >
            </mb-select>
          </td>
        </ng-container>
      </tr>
    </tbody>
  </nz-table>
</nz-card>

<!-- Kết quả thực hiện công việc -->
<nz-card>
  <h3>
    {{ 'development.propose-tgcv.resultTHCV' | translate }}
  </h3>
  <nz-table
    #basicTable3
    [nzData]="
      proposePerformanceResults?.length > 0 ? proposePerformanceResults : [{}]
    "
    [nzPageSize]="proposePerformanceResults.length"
    [nzScroll]="{ x: '1090px' }"
    [nzShowPagination]="false"
    class="resultJobCard"
    nzTableLayout="fixed"
  >
    <thead>
      <tr>
        <th class="text-center resultJobCard__STT" rowspan="2" scope="col">
          {{ 'development.proposed-unit.table.stt' | translate }}
        </th>
        <th
          class="text-center resultJobCard__targetAssigned"
          rowspan="2"
          scope="col"
        >
          {{
            'development.proposed-unit.proposePerformanceResult.targetAssigned'
              | translate
          }}
        </th>
        <th
          class="subHeader-title resultJobCard__density"
          rowspan="2"
          scope="col"
        >
          {{
            'development.proposed-unit.proposePerformanceResult.density'
              | translate
          }}
        </th>
        <th class="text-center resultJobCard__plan" colspan="2" scope="col">
          {{
            'development.proposed-unit.proposePerformanceResult.plan'
              | translate
          }}
        </th>
        <th class="text-center resultJobCard__action" colspan="2" scope="col">
          {{
            'development.proposed-unit.proposePerformanceResult.action'
              | translate
          }}
        </th>
        <th class="text-center resultJobCard__mark" rowspan="2" scope="col">
          {{ 'development.proposed-unit.detail.employee.mark' | translate }}
        </th>
        <th
          class="alternativeCard__action"
          rowspan="2"
          scope="col"
          *ngIf="typeAction === screenTypeConst.Update"
        ></th>
      </tr>
      <tr>
        <th class="text-center" scope="col">
          {{
            'development.proposed-unit.proposePerformanceResult.planIndicator'
              | translate
          }}
        </th>
        <th class="text-center" scope="col">
          {{
            'development.proposed-unit.proposePerformanceResult.deadline'
              | translate
          }}
        </th>
        <th class="text-center" scope="col">
          {{
            'development.proposed-unit.proposePerformanceResult.planIndicator'
              | translate
          }}
        </th>
        <th class="text-center" scope="col">
          {{
            'development.proposed-unit.proposePerformanceResult.deadline'
              | translate
          }}
        </th>
      </tr>
    </thead>
    <tbody>
      <ng-container>
        <tr *ngFor="let item of basicTable3.data; let i = index">
          <td class="text-center">{{ i + 1 }}</td>
          <td class="span-disable">
            <span
              *ngIf="
                typeAction === screenTypeConst.Detail ||
                isScreenHandle ||
                !employeeForm.get('empCode')?.value
              "
              >{{ item.targetAssigned }}</span
            >
            <input
              *ngIf="
                typeAction === screenTypeConst.Update &&
                !isScreenHandle &&
                employeeForm.get('empCode')?.value
              "
              [(ngModel)]="item.targetAssigned"
              [ngModelOptions]="{ standalone: true }"
              maxlength="200"
              nz-input
              placeholder="{{
                'development.proposed-unit.proposePerformanceResult.targetAssigned'
                  | translate
              }}"
            />
          </td>
          <td class="span-disable">
            <span
              *ngIf="
                typeAction === screenTypeConst.Detail ||
                isScreenHandle ||
                !employeeForm.get('empCode')?.value
              "
              >{{ item.density }}</span
            >
            <nz-input-number
              (nzBlur)="calculate(item, true)"
              *ngIf="
                typeAction === screenTypeConst.Update &&
                !isScreenHandle &&
                employeeForm.get('empCode')?.value
              "
              [(ngModel)]="item.density"
              [ngModelOptions]="{ standalone: true }"
              [nzMax]="100"
              [nzMin]="0"
              class="resultJobCardNumber"
              nz-input
              placeholder="{{
                'development.proposed-unit.proposePerformanceResult.density'
                  | translate
              }}"
            ></nz-input-number>
          </td>
          <td class="span-disable">
            <span
              *ngIf="
                typeAction === screenTypeConst.Detail ||
                isScreenHandle ||
                !employeeForm.get('empCode')?.value
              "
              >{{ item.planIndicator }}</span
            >
            <nz-input-number
              (nzBlur)="calculate(item, false)"
              *ngIf="
                typeAction === screenTypeConst.Update &&
                !isScreenHandle &&
                employeeForm.get('empCode')?.value
              "
              [(ngModel)]="item.planIndicator"
              [ngModelOptions]="{ standalone: true }"
              class="resultJobCardNumber"
              nz-input
              placeholder="{{
                'development.proposed-unit.proposePerformanceResult.planIndicator'
                  | translate
              }}"
            ></nz-input-number>
          </td>
          <td class="span-disable">
            <div
              *ngIf="
                typeAction === screenTypeConst.Detail ||
                isScreenHandle ||
                !employeeForm.get('empCode')?.value
              "
            >
              <span *ngIf="item.planDeadline">
                <em
                  nz-icon
                  nzTheme="outline"
                  nzType="calendar"
                  class="resultJobCard__calendar"
                ></em>
              </span>
              <span>{{ item.planDeadline | date: 'dd/MM/yyyy' }}</span>
            </div>
            <mb-date-picker
              *ngIf="
                typeAction === screenTypeConst.Update &&
                !isScreenHandle &&
                employeeForm.get('empCode')?.value
              "
              [(ngModel)]="item.planDeadline"
              mbFormat="dd/MM/yyyy"
              mbPlaceholderText="dd/mm/yyyy"
              [ngModelOptions]="{ standalone: true }"
            >
            </mb-date-picker>
          </td>
          <td class="span-disable">
            <span
              *ngIf="
                typeAction === screenTypeConst.Detail ||
                isScreenHandle ||
                !employeeForm.get('empCode')?.value
              "
              >{{ item.realityIndicator }}</span
            >
            <nz-input-number
              (nzBlur)="calculate(item, false)"
              *ngIf="
                typeAction === screenTypeConst.Update &&
                !isScreenHandle &&
                employeeForm.get('empCode')?.value
              "
              [(ngModel)]="item.realityIndicator"
              [ngModelOptions]="{ standalone: true }"
              class="resultJobCardNumber"
              nz-input
              placeholder="{{
                'development.proposed-unit.proposePerformanceResult.planIndicator'
                  | translate
              }}"
            ></nz-input-number>
          </td>
          <td class="span-disable">
            <div
              *ngIf="
                typeAction === screenTypeConst.Detail ||
                isScreenHandle ||
                !employeeForm.get('empCode')?.value
              "
            >
              <span *ngIf="item.realityDeadline">
                <em
                  nz-icon
                  nzTheme="outline"
                  nzType="calendar"
                  class="resultJobCard__calendar"
                ></em>
              </span>
              <span>{{ item.realityDeadline | date: 'dd/MM/yyyy' }}</span>
            </div>
            <mb-date-picker
              *ngIf="
                typeAction === screenTypeConst.Update &&
                !isScreenHandle &&
                employeeForm.get('empCode')?.value
              "
              [(ngModel)]="item.realityDeadline"
              [ngModelOptions]="{ standalone: true }"
              mbFormat="dd/MM/yyyy"
              mbPlaceholderText="dd/mm/yyyy"
              name="estimatedDate"
            >
            </mb-date-picker>
          </td>
          <td class="span-disable">
            <span
              *ngIf="typeAction === screenTypeConst.Detail || isScreenHandle"
              >{{ item.point }}</span
            >
            <nz-input-number
              (nzBlur)="calculatePoint()"
              *ngIf="
                typeAction === screenTypeConst.Update &&
                !isScreenHandle &&
                employeeForm.get('empCode')?.value
              "
              [(ngModel)]="item.point"
              [ngModelOptions]="{ standalone: true }"
              class="resultJobCardNumber"
              nz-input
              placeholder="development.proposed-unit.proposePerformanceResult.mark"
            ></nz-input-number>
          </td>
          <td
            *ngIf="
              typeAction === screenTypeConst.Update &&
              !isScreenHandle &&
              employeeForm.get('empCode')?.value
            "
          >
            <em
              nz-icon
              nzType="plus-circle"
              class="icon-single"
              (click)="addProposePerformanceResult()"
            ></em>
            <em
              nz-icon
              nzType="delete"
              class="icon-single"
              *ngIf="!checkDeletePerformance()"
              (click)="deleteProposePerformanceResult(i)"
            >
            </em>
          </td>
        </tr>
      </ng-container>
      <tr>
        <td class="resultJobCard__total text-center">
          {{
            'development.proposed-unit.proposePerformanceResult.total'
              | translate
          }}
        </td>
        <td></td>
        <td class="span-disable">
          {{ sumProposePerformanceResults || 0 }}
        </td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td class="span-disable">{{ sumPoint || 0 }}</td>
        <td
          *ngIf="typeAction === screenTypeConst.Update && !isScreenHandle"
        ></td>
      </tr>
    </tbody>
  </nz-table>
</nz-card>

<nz-card [formGroup]="proposeCommentForm" id="commentForm" class="commentCard">
  <div nz-row [nzGutter]="[40, 24]">
    <div class="gutter-row" nz-col nzLg="18">
      <h3>
        {{ 'development.propose-tgcv.reviewInchargeUnit' | translate }}
        <span class="star">*</span>
      </h3>
    </div>
    <div
      *ngIf="
        typeAction !== screenTypeConst.Create && conditionViolation?.length > 0
      "
      class="gutter-row"
      nz-col
      nzLg="6"
    >
      <nz-tag
        [nzColor]="displayConditionViolation()?.color"
        class="commentCard__tag"
      >
        {{ displayConditionViolation()?.label }}
      </nz-tag>
    </div>
  </div>

  <div [nzGutter]="[40, 24]" nz-row>
    <div class="gutter-row" nz-col nzLg="24">
      <mb-input-text
        [mbIsTextAre]="true"
        [mbConfig]="{ rows: 4, autoSize: true }"
        formControlName="proposeReason"
        [mbMaxLength]="200"
        mbLabelText="{{
          'development.propose-tgcv.reasonProposeTGCV' | translate
        }}"
        mbPlaceholderText="{{
          'development.propose-tgcv.reasonProposeTGCV' | translate
        }}"
        [mbType]="
          isSubmitProposeDetail && proposeCommentForm.get('proposeReason')?.errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitProposeDetail &&
          !!proposeCommentForm.get('proposeReason')?.errors
        "
        [mbErrors]="proposeCommentForm.get('proposeReason')?.errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'development.propose-tgcv.validateProposeReason' | translate
          }
        ]"
      ></mb-input-text>
    </div>
    <div class="gutter-row" nz-col nzLg="24">
      <mb-input-text
        [mbIsTextAre]="true"
        [mbConfig]="{ rows: 4, autoSize: true }"
        formControlName="generalComment"
        [mbMaxLength]="200"
        mbLabelText="{{ 'development.propose-tgcv.commonReview' | translate }}"
        mbPlaceholderText="{{
          'development.propose-tgcv.commonReview' | translate
        }}"
        [mbType]="
          isSubmitProposeDetail &&
          proposeCommentForm.get('generalComment')?.errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitProposeDetail &&
          !!proposeCommentForm.get('generalComment')?.errors
        "
        [mbErrors]="proposeCommentForm.get('generalComment')?.errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'development.propose-tgcv.validateGeneralComment' | translate
          }
        ]"
      ></mb-input-text>
    </div>
    <div
      *ngIf="
        typeAction !== screenTypeConst.Create &&
        violationCode !== violationCodeConst.PASSED &&
        conditionViolation?.length > 0
      "
      class="gutter-row"
      nz-col
      nzLg="12"
    >
      <span class="title-section">{{
        'development.proposed-unit.proposeComment.conditionFault' | translate
      }}</span
      ><br />
      <div class="violations" nz-typography>
        <ul *ngFor="let item of conditionViolation">
          <li>{{ item }}</li>
        </ul>
      </div>
    </div>
  </div>
</nz-card>

<nz-card>
  <div nz-row [nzGutter]="[40, 32]" *ngIf="screenCode === screenCodeConst.HRDV">
    <div nz-col class="gutter-row" nzLg="16">
      <nz-radio-group
        [(ngModel)]="displayReport"
        class="header-form__radio"
        [nzDisabled]="typeAction !== screenTypeConst.Update"
        *ngIf="checkHCMRadio()"
      >
        <label nz-radio [nzValue]="true">{{
          'development.proposed-unit.reportCard.approveOnHCM' | translate
        }}</label>
        <label nz-radio [nzValue]="false">{{
          'development.proposed-unit.reportCard.notThroughLeader' | translate
        }}</label>
      </nz-radio-group>
    </div>
    <div nz-col class="gutter-row" nzLg="8">
      <mb-button
        mbButtonAvailableStyle="PRIMARY"
        class="exportReport"
        (click)="downloadStatement(0)"
        *ngIf="typeAction !== screenTypeConst.Create && !displayReport"
        mbButtonText="{{
          'development.proposed-unit.reportCard.printReport' | translate
        }}"
      >
      </mb-button>
    </div>
  </div>

  <!-- tờ trình của đơn vị -->
  <ng-container *ngIf="viewReportHRDV()">
    <h3 class="reportSectionElement">{{ 'development.proposed-unit.proposeMultiple.reportUnit' | translate }}</h3>
    <div nz-row [nzGutter]="[40, 32]" [formGroup]="formTTQD" id="formTTQD">
      <div
        nz-col
        class="gutter-row paddingBottomStatement"
        nzLg="24"
        id="reportUnit"
      ></div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-input-text
          mbLabelText="{{
            'development.proposed-unit.reportCard.stateNumber' | translate
          }}"
          mbPlaceholderText="{{
            'development.proposed-unit.reportCard.stateNumber' | translate
          }}"
          formControlName="statementNumber"
          [mbMaxLength]="10"
          [mbDisable]="typeAction === screenTypeConst.Detail || checkDisplayReportEdit() || isScreenHandle"
          [mbType]="
            isSubmitProposeDetail &&
            formTTQD.get('statementNumber')?.errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitProposeDetail &&
            !!formTTQD.get('statementNumber')?.errors
          "
          [mbErrors]="formTTQD.get('statementNumber')?.errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'development.proposed-unit.reportCard.mustInput' | translate
            }
          ]"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{
            'development.proposed-unit.reportCard.submissionDate' | translate
          }}"
          formControlName="submissionDate"
          [mbDisabledDate]="disabledEndDateSubmission"
          [mbDisabled]="typeAction === screenTypeConst.Detail || checkDisplayReportEdit() || isScreenHandle"
          [mbType]="
            isSubmitProposeDetail &&
            formTTQD.get('submissionDate')?.errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitProposeDetail &&
            !!formTTQD.get('submissionDate')?.errors
          "
          [mbErrors]="formTTQD.get('submissionDate')?.errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'development.proposed-unit.reportCard.mustInput' | translate
            }
          ]"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6"></div>
      <div nz-col class="gutter-row" nzLg="12" *ngIf="checkApproveNoteOrigin()">
        <mb-input-text
          [mbIsTextAre]="true"
          [mbMaxLength]="100"
          [mbConfig]="{ rows: 4, autoSize: false }"
          [mbDisable]="typeAction === screenTypeConst.Detail"
          formControlName="approveNote"
          mbLabelText="{{
            'development.proposed-unit.reportCard.apporvedOpinionOfLeader'
              | translate
          }}<span class='label__required'>*</span>"
          mbPlaceholderText="{{
            'development.proposed-unit.reportCard.apporvedOpinionOfLeader'
              | translate
          }}"
          [mbType]="
            isSubmitProposeDetail &&
            formTTQD.get('approveNote')?.errors
              ? 'error'
              : 'default'
          "
          [mbShowError]="
            isSubmitProposeDetail &&
            !!formTTQD.get('approveNote')?.errors
          "
          [mbErrors]="formTTQD.get('approveNote')?.errors"
          [mbErrorDefs]="[
            {
              errorName: 'required',
              errorDescription:
                'development.proposed-unit.reportCard.mustInput' | translate
            }
          ]"
        ></mb-input-text>
      </div>
    </div>
  </ng-container>

  <!-- tờ trình chỉnh sửa của Đon vị -->
  <ng-container *ngIf="checkDisplayReportEdit()">
    <h3 class="reportSectionElement">{{ 'development.proposed-unit.proposeMultiple.reportUnitEdit' | translate }}</h3>
    <div
      nz-row
      [nzGutter]="[40, 32]"
      [formGroup]="formReportElement"
    >
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-input-text
          mbLabelText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          formControlName="statementNumber"
          [mbMaxLength]="10"
          [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
          [mbType]="isSubmitProposeDetail && formReportElement.controls['statementNumber'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitProposeDetail && formReportElement.controls['statementNumber'].errors != null"
          [mbErrors]="formReportElement.controls['statementNumber'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.proposed-unit.reportCard.submissionDate' | translate }}"
          formControlName="submissionDate"
          [mbDisabled]="typeAction === screenTypeConst.Detail || isScreenHandle"
          [mbType]="isSubmitProposeDetail && formReportElement.controls['submissionDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitProposeDetail && formReportElement.controls['submissionDate'].errors != null"
          [mbErrors]="formReportElement.controls['submissionDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          [mbDisabledDate]="disabledEndDateSubmission"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6"
        *ngIf="fileListSelectTTElement.length === 1 || this.typeAction === this.screenType.update">
        <span class="title-section"> {{ 'development.proposed-unit.reportCard.attachReport' | translate }} </span><br />
        <nz-upload
          [nzDownload]="downloadFile"
          [nzDisabled]="fileListSelectTTElement.length === 1"
          nzListType="text"
          [(nzFileList)]="fileListSelectTTElement"
          [nzBeforeUpload]="beforeUploadTT"
          [nzRemove]="doRemoveFileTT"
          [nzMultiple]="false"
          *ngIf="!checkViewFileElement()"
        >
          <mb-button
            mbButtonAvailableStyle='PRIMARY'
            class="reportCard__uploadBtn"
            *ngIf="typeAction === screenType.update && checkDisplayReportEdit()"
          >
            <span>
              <em nz-icon nzType="upload"></em>
            </span>
          </mb-button>
        </nz-upload>
        <a *ngIf="checkViewFileElement()" (click)="downloadFile2(fileElement.uid, fileElement.fileName)">
          {{ fileElement.fileName }}
        </a>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6"></div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="12" *ngIf="checkApproveNote()">
        <mb-input-text
          [mbIsTextAre]='true'
          [mbMaxLength]="100"
          [mbConfig]="{ rows: 4, autoSize: false }"
          formControlName="approveNote"
          [mbDisable]="typeAction === screenTypeConst.Detail || isScreenHandle"
          mbLabelText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.apporvedOpinionOfLeader' | translate }}"
          [mbType]="isSubmitProposeDetail && formReportElement.controls['approveNote'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitProposeDetail && formReportElement.controls['approveNote'].errors != null"
          [mbErrors]="formReportElement.controls['approveNote'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        ></mb-input-text>
      </div>
    </div>
  </ng-container>

  <nz-table
    [nzShowPagination]="false"
    [nzData]="[{}]"
    class="attachFileTable"
    id="attachFileTable"
  >
    <thead>
      <tr>
        <th scope="col" nzWidth="70%">
          {{ 'development.propose-tgcv.attachDocument' | translate }}
        </th>
        <th scope="col" nzWidth="30%">
          {{ 'development.propose-tgcv.attachFile' | translate }}
          <span class="star">*</span>
        </th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>
          <div nz-row [nzGutter]="[16, 16]" [formGroup]="attachDocumentForm">
            <div nz-col class="gutter-row" nzLg="12">
              <label
                class="partyDate"
                formControlName="personalReview"
                nz-checkbox
                >{{
                  'development.propose-tgcv.reviewIndividualMyself' | translate
                }}</label
              >
            </div>
            <div nz-col class="gutter-row" nzLg="12">
              <label
                class="partyDate"
                formControlName="reportBranchMeeting"
                nz-checkbox
                >{{
                  'development.propose-tgcv.branchMeeting' | translate
                }}</label
              >
            </div>
            <div nz-col class="gutter-row" nzLg="12">
              <label
                class="partyDate"
                formControlName="consultationComment"
                nz-checkbox
                >{{
                  'development.propose-tgcv.ideaConsultations' | translate
                }}</label
              >
            </div>
            <div nz-col class="gutter-row" nzLg="12">
              <label
                class="partyDate"
                formControlName="different"
                nz-checkbox
                >{{ 'development.propose-tgcv.others' | translate }}</label
              >
            </div>
          </div>
        </td>
        <td>
          <nz-upload
            nzListType="text"
            [nzMultiple]="false"
            [nzDownload]="downloadAttachFile"
            [nzRemove]="doRemoveAttachFile"
            [nzBeforeUpload]="beforeUploadAttachFile"
            [(nzFileList)]="listAttachFile"
            *ngIf="typeAction === screenTypeConst.Update && !isScreenHandle"
          >
            <mb-button
              mbButtonAvailableStyle="PRIMARY"
              class="reportCard__uploadBtn"
              *ngIf="
                listAttachFile.length === 0 &&
                typeAction === screenTypeConst.Update
              "
            >
              <span>
                <em nz-icon nzType="upload"></em>
              </span>
            </mb-button>
          </nz-upload>
          <a
            (click)="
              downloadAttachFile2(attachFileObj?.uid, attachFileObj?.fileName)
            "
            *ngIf="typeAction === screenTypeConst.Detail || isScreenHandle"
          >
            {{ attachFileObj?.fileName }}
          </a>
        </td>
      </tr>
    </tbody>
  </nz-table>
</nz-card>

<nz-card *ngIf="checkApproveLDDV()" [formGroup]="formIdeaLDDV">
  <mb-input-text
    [mbIsTextAre]="true"
    [mbConfig]="{ rows: 4, autoSize: true }"
    formControlName="idea"
    id="idea"
    mbLabelText="{{ 'development.proposed-unit.detail.idea' | translate }}"
    mbPlaceholderText="{{
      'development.proposed-unit.detail.idea' | translate
    }}"
    [mbType]="
      isSubmitIdeaLDDV && formIdeaLDDV.get('idea')?.errors ? 'error' : 'default'
    "
    [mbShowError]="isSubmitIdeaLDDV && !!formIdeaLDDV.get('idea')?.errors"
    [mbErrors]="formIdeaLDDV.get('idea')?.errors"
    [mbErrorDefs]="[
      {
        errorName: 'required',
        errorDescription:
          'development.commonMessage.approveIdeaRequired' | translate
      }
    ]"
  ></mb-input-text>
</nz-card>



<app-consultation-screen
  *ngIf="checkConsultationSrc()"
  [proposeId]="proposeId"
  [screenCode]="screenCode"
  [proposeCategory]="proposeCategory"
  [dataForm]="proposeDTO"
  [typeAction]="typeAction"
  [proposeDetailId]="proposeDetailId"
  [dataCommon]="dataCommon"
  [flowStatusCode]="flowStatusCode"
  [statusPublishCode]="statusPublishCode"
  (onLoading)="onLoading($event)"
  #consultationScreenComponent
></app-consultation-screen>


<!--cụm thông tin rút đề xuất chỉ hiện thị, nhập comment-->
<nz-card
  class="idea"
  id="confirmWithdraw"
  *ngIf="(checkBtnWithdrawLDDV() || checkBtnWithdrawPTNL()) && typeAction === screenType.detail"
>
  <div nz-row [nzGutter]="[40, 32]">
    <div nz-col class="gutter-row" nzLg="8">
      <span class="title-section">{{
        'development.proposed-unit.detail.menu.approrvedProposals' | translate
      }}</span>
      <div class="withdraw__handle" *ngIf="checkWithdrawTypebtn">
        <nz-radio-group nzDisabled="true" [ngModel]="checkWithdrawType">
          <label class="propose-radio" nz-radio [nzValue]="0">{{
            'development.proposed-unit.detail.menu.cancelProposal' | translate
          }}</label>
          <label class="propose-radio" nz-radio [nzValue]="1">{{
            'development.proposed-unit.detail.menu.editProposal' | translate
          }}</label>
        </nz-radio-group>
      </div>
    </div>
    <div nz-col class="gutter-row" nzLg="24">
      <div class="withdraw__handle" *ngIf="!checkWithdrawTypebtn">
        <span>{{
          'development.proposed-unit.detail.menu.rejectWithdrawProposals'
            | translate
        }}</span>
      </div>
      <mb-input-text
        [mbIsTextAre]="true"
        [mbConfig]="{ rows: 4, autoSize: true }"
        [mbDisable]="true"
        [ngModel]="withdrawReason"
        mbLabelText="{{
          'development.proposed-unit.detail.menu.reason' | translate
        }}"
        mbPlaceholderText="{{
          'development.proposed-unit.detail.menu.reason' | translate
        }}"
      ></mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="24">
      <mb-input-text
        [mbIsTextAre]="true"
        [mbConfig]="{ rows: 4, autoSize: true }"
        [(ngModel)]="comment"
        name="comment"
        mbLabelText="{{ 'development.proposed-unit.detail.idea' | translate }}"
        mbPlaceholderText="{{
          'development.proposed-unit.detail.idea' | translate
        }}"
      ></mb-input-text>
    </div>
  </div>
</nz-card>

<nz-card class="card" *ngIf="!checkConsultationSrc()">
  <div nz-row (click)="expandLog()">
    <h3>{{ 'development.proposed-unit.section.proposeLogs' | translate }}</h3>
    <span class="iconLog">
      <em nz-icon [nzType]="iconStatus"></em>
    </span>
  </div>
  <mb-table-wrap [mbTitle]="''" *ngIf="!isExpand" [extra]="false">
    <mb-table
      [tableConfig]="tableLogs"
      [tableData]="proposeLogs"
      [heightTable]="heightTable"
      (changePageNum)='getLog($event)'
    ></mb-table>
  </mb-table-wrap>
</nz-card>

<ng-template #action>
  <ng-container
    *ngIf="
      typeAction === screenTypeConst.Update &&
      screenCode === screenCodeConst.HRDV
    "
  >
    <!-- ghi nhận đồng ý -->
    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      *ngIf="checkRecordApprove()"
      mbButtonText="{{
        'development.proposed-unit.button.sendPropose' | translate
      }}"
      (click)="acceptPropose()"
    >
    </mb-button>
    <!-- gửi duyệt -->
    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      *ngIf="checkSendApprove()"
      mbButtonText="{{
        'development.proposed-unit.button.sendPropose' | translate
      }}"
      (click)="sendPropose()"
    >
    </mb-button>
  </ng-container>
  <!-- lưu -->
  <mb-button
    mbButtonAvailableStyle="PRIMARY"
    mbButtonSize="LARGE"
    mbButtonText="{{ 'development.proposed-unit.button.save' | translate }}"
    (click)="saveTGCV()"
    *ngIf="checkSaveButton()"
  >
  </mb-button>
  <!-- xóa -->
  <mb-button
    mbButtonAvailableStyle="DANGER"
    mbButtonSize="LARGE"
    *ngIf="checkBtnDelete()"
    mbButtonText="{{ 'development.proposed-unit.button.delete' | translate }}"
    (click)="delete($event)"
  >
  </mb-button>

  <!-- rút đề xuất -->
  <mb-button
    mbButtonAvailableStyle="BORDER"
    mbButtonSize="LARGE"
    class="withdrawElement"
    (click)="showModalWithdraw(0)"
    *ngIf="checkWithdrawPropose()"
    mbButtonText="{{
      'development.proposed-unit.proposeMultiple.withdrawPropose' | translate
    }}"
  >
  </mb-button>

  <!-- 3 nút duyệt của màn LDDV -->
  <ng-container *ngIf="checkApproveLDDV()">
    <mb-button
      mbButtonAvailableStyle="PRIMARY"
      mbButtonSize="LARGE"
      mbButtonText="{{
        'development.proposed-unit.button.agreeLeader' | translate
      }}"
      (click)="agreeLeader()"
    >
    </mb-button>

    <mb-button
      mbButtonAvailableStyle="DANGER"
      mbButtonSize="LARGE"
      mbButtonText="{{
        'development.proposed-unit.button.rejectLeader' | translate
      }}"
      (click)="rejectLeader()"
      *ngIf="flowStatusCode === this.flowCodeConst.CHODUYET2"
    >
    </mb-button>

    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      mbButtonText="{{
        'development.proposed-unit.button.withDraw' | translate
      }}"
      (click)="otherIdea()"
    >
    </mb-button>
  </ng-container>

  <mb-button
    mbButtonAvailableStyle="BORDER"
    mbButtonSize="LARGE"
    *ngIf="checkHandleButton() && screenCode === screenCodeConst.PTNL"
    mbButtonText="{{ 'development.proposed-unit.button.handle' | translate }}"
    (click)="handle()"
  >
  </mb-button>

  <!-- trả lại đề xuất -->
  <mb-button mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.returnPropose' | translate }}"
    *ngIf="checkReturnProposeButton()"
    (click)="showModalReturnPropose()"
  >
  </mb-button>
  <!--  Duyệt rút đề xuất thành phần PTNL-->
  <ng-container *ngIf="checkBtnWithdrawPTNL() && typeAction === screenType.detail">
    <mb-button
      mbButtonAvailableStyle="PRIMARY"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.agreeLeader' | translate }}"
      (click)="agreeWithdrawProposalDetail(1)">
    </mb-button>

    <mb-button
      mbButtonAvailableStyle="DANGER"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.proposed-unit.button.rejectLeader' | translate }}"
      (click)="agreeWithdrawProposalDetail(2)">
    </mb-button>
  </ng-container>

  <!--duyệt rút đề xuất thành phần LDDV -->
  <ng-container *ngIf="checkWithdrawBtn() && typeAction === screenType.detail">
    <mb-button
      mbButtonAvailableStyle="PRIMARY"
      mbButtonSize="LARGE"
      mbButtonText="{{
        'development.proposed-unit.button.agreeLeader' | translate
      }}"
      (click)="agreeWithdrawProposal(1)"
    >
    </mb-button>

    <mb-button
      mbButtonAvailableStyle="DANGER"
      mbButtonSize="LARGE"
      mbButtonText="{{
        'development.proposed-unit.button.rejectLeader' | translate
      }}"
      (click)="agreeWithdrawProposal(2)"
    >
    </mb-button>

    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      mbButtonText="{{
        'development.proposed-unit.button.otherIdea' | translate
      }}"
      (click)="agreeWithdrawProposal(3)"
    >
    </mb-button>
  </ng-container>

  <!-- phê duyệt của KSPTNL -->
  <ng-container *ngIf="checkIdeaApproveKSPTNL()">
    <mb-button
      *ngIf="
        !proposeUnitForm.get('relationType')?.value && dataForm?.groupByKSPTNL
      "
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      mbButtonText="{{
        'development.proposed-unit.button.otherIdea' | translate
      }}"
      (click)="otherIdeaElementKSPTNL()"
    >
    </mb-button>
  </ng-container>

  <mb-button
    mbButtonAvailableStyle="BORDER"
    mbButtonSize="LARGE"
    *ngIf="stateUrl"
    mbButtonText="{{ 'development.proposed-unit.button.back' | translate }}"
    (click)="back()"
  >
  </mb-button>
</ng-template>
